Tenant template applications
Recover template application
Recover an application by its durable tenant-scoped caller key without applying effects.
GET
/
v1
/
tenant-template-applications
Recover template application
curl --request GET \
--url https://api.getmillwork.dev/v1/tenant-template-applications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/tenant-template-applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"application": {
"application_id": "<string>",
"completed_effects": [
{
"at": "2023-11-07T05:31:56Z",
"id": "<string>"
}
],
"consent": {
"attempt": 2,
"continue_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"handoff_intent_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"diagnostics": {},
"echo_execution_id": "<string>",
"echo_receipt_id": "<string>",
"live_execution_id": "<string>",
"live_proof": {
"digest": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"issued_at": "2023-11-07T05:31:56Z"
},
"managed_arm_id": "<string>",
"next_action": {
"detail": "<string>",
"type": "<string>"
},
"receipt": {
"href": "<string>",
"receipt_id": "<string>"
},
"result": {
"execution_id": "<string>",
"href": "<string>",
"model_provenance": {
"deployment": {
"fallback_policy": "none",
"location": "<string>",
"model_deployment_id": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"route": "<string>"
},
"requested": {
"family": "<string>",
"model_key": "<string>",
"publisher_id": "<string>",
"release": "<string>",
"served_variant_id": "<string>",
"upstream_ref": "<string>"
},
"resolved": {
"attestation": "source_response",
"source_request_id": "<string>",
"upstream_ref": "<string>"
},
"schema_version": "model-attempt-provenance/v1",
"source": {
"access_lane": "byok",
"auth_scheme": "api_key",
"commercial_owner": "customer",
"connection_id": "<string>",
"source_id": "<string>",
"source_kind": "publisher_direct"
}
}
},
"selected_model_deployment_id": "<string>",
"source_connection_id": "<string>",
"state": "planned",
"template_id": "starter",
"template_version": "<string>",
"request_preset_id": "<string>"
}
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}Authorizations
bearerAuthsessionCookie
Organization API key for application requests.
Query Parameters
Available options:
starter, pooled-open-model, byok-open-model Required string length:
1 - 512Response
Default Response
Show child attributes
Show child attributes
⌘I
Recover template application
curl --request GET \
--url https://api.getmillwork.dev/v1/tenant-template-applications \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/tenant-template-applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"application": {
"application_id": "<string>",
"completed_effects": [
{
"at": "2023-11-07T05:31:56Z",
"id": "<string>"
}
],
"consent": {
"attempt": 2,
"continue_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"handoff_intent_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"diagnostics": {},
"echo_execution_id": "<string>",
"echo_receipt_id": "<string>",
"live_execution_id": "<string>",
"live_proof": {
"digest": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"issued_at": "2023-11-07T05:31:56Z"
},
"managed_arm_id": "<string>",
"next_action": {
"detail": "<string>",
"type": "<string>"
},
"receipt": {
"href": "<string>",
"receipt_id": "<string>"
},
"result": {
"execution_id": "<string>",
"href": "<string>",
"model_provenance": {
"deployment": {
"fallback_policy": "none",
"location": "<string>",
"model_deployment_id": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"route": "<string>"
},
"requested": {
"family": "<string>",
"model_key": "<string>",
"publisher_id": "<string>",
"release": "<string>",
"served_variant_id": "<string>",
"upstream_ref": "<string>"
},
"resolved": {
"attestation": "source_response",
"source_request_id": "<string>",
"upstream_ref": "<string>"
},
"schema_version": "model-attempt-provenance/v1",
"source": {
"access_lane": "byok",
"auth_scheme": "api_key",
"commercial_owner": "customer",
"connection_id": "<string>",
"source_id": "<string>",
"source_kind": "publisher_direct"
}
}
},
"selected_model_deployment_id": "<string>",
"source_connection_id": "<string>",
"state": "planned",
"template_id": "starter",
"template_version": "<string>",
"request_preset_id": "<string>"
}
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}